<?php
	$here = dirname($_SERVER['PHP_SELF']);

	echo "<!DOCTYPE html>\n";
	echo "<html>\n";
	echo "<head>\n";
	echo "  <title>Index of $here</title>\n";
	echo "  <style type=\"text/css\">\n";
	echo "    body {font-family; monospace;}\n";
	echo "    a:link {text-decoration: none;}\n";
	echo "  </style>\n";
	echo "</head>\n";
	echo "<body>\n";
	echo "<h1>".htmlspecialchars("Index of $here")."</h1>\n";
	echo "<pre>\n";

	$ignore = array ("index.php","plant-index-files.php","file-index.php","q","index.html");

	$file_list = glob ("*");
	$m = 0;
	foreach ($file_list as $f)
		if (!in_array ($f,$ignore))
			if (($mm = strlen ($f)) > $m) $m = $mm;

	$blank = ""; for ($i=0; $i < $m; $i++) $blank .= " ";

	foreach ($file_list as $f)
		if (!in_array ($f,$ignore)) {
			$space = substr ($blank,0,$m - strlen ($f));

			$kb = filesize($f)/1024.0;
			if ($kb < 1024.0)
				$size = sprintf ("%3.0fK",$kb);
			else {
				$mb = $kb/1024.0;
				if ($mb < 1024.0)
					$size = sprintf ("%3.0fM",$mb);
				else {
					$gb = $mb / 1024.0;
					$size = sprintf ("%3.0fG",$gb);
					}
				}
			if (substr ($f,-5) == ".segy" || substr ($f,-4) == ".TRA")
				echo "<a href=\"$f\" download=\"$f\">$f</a> $space".strftime("%d-%b-%Y %H:%M",filemtime($f))." $size\n";
			else
				echo "<a href=\"$f\">$f".(is_dir($f) ? "/" : "")."</a> $space".strftime("%d-%b-%Y %H:%M",filemtime($f))." $size\n";
			}

	echo "</pre>\n";
	echo "</body>\n";
	echo "</html>\n";
?>
